﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Model.ViewModel.System
{
    /// <summary>
    /// 菜单树形结构实体
    /// </summary>
    public class MenuTree_ViewModel
    {
        /// <summary>
        /// 主键(菜单编号)
        /// </summary>
        public int MenuId { get; set; }

        /// <summary>
        /// 菜单名称
        /// </summary>
        public string MenuName { get; set; }

        /// <summary>
        /// 菜单链接地址
        /// </summary>
        public string MenuUrl { get; set; }

        /// <summary>
        /// 菜单图标
        /// </summary>
        public string MenuIcon { get; set; }

        /// <summary>
        /// 子菜单列表
        /// </summary>
        public List<MenuTree_ViewModel> SubList { get; set; }
    }
}
